import request from '@/utils/request'

// 查询食材出库列表
export function listScck(query) {
  return request({
    url: '/canteen/scck/list',
    method: 'get',
    params: query
  })
}

// 查询食材出库详细
export function getScck(recordId) {
  return request({
    url: '/canteen/scck/' + recordId,
    method: 'get'
  })
}

// 新增食材出库
export function addScck(data) {
  return request({
    url: '/canteen/scck',
    method: 'post',
    data: data
  })
}

// 修改食材出库
export function updateScck(data) {
  return request({
    url: '/canteen/scck',
    method: 'put',
    data: data
  })
}

// 删除食材出库
export function delScck(recordId) {
  return request({
    url: '/canteen/scck/' + recordId,
    method: 'delete'
  })
}

// 导出食材出库
export function exportScck(query) {
  return request({
    url: '/canteen/scck/export',
    method: 'get',
    params: query
  })
}